/* Mostly Vibe coded with ChatGPT for dark mode, works well enough.*/
code
{
	background-color: #333333;  /* Light Black */
	color: #ffffff; /* White */
	border-radius: 12px;
}

@media (prefers-color-scheme: dark)
{

	.wpcf7-not-valid-tip
	{
		color: #FF0000 !important;
	}

	.wpcf7 input[type="text"],
	.wpcf7 input[type="email"],
	.wpcf7 textarea
	{
		color: #ffffff !important; /* White */
		border-color: #ffffff !important; /* White */
	}

	h1, h2, h3, h4, h5, h6,
	p, span, strong, em, li, dt, dd,
	blockquote, pre,
	.site-title a,
	.ct-footer-copyright a,
	.entry-tags-items a,
	.entry-meta li a,
	input
	{
		color: #ffffff !important; /* White */
	}

    table *,
    .ct-search-results *,
	.ct-no-results *,
    input,
	.ct-search-form-controls:hover *
    {
	    border-color: #ffffff !important; /* White */
    }

	.wp-block,
	.site-main,
	.hero-section,
	.page-description,
	.author-box,
	.ct-no-results *,
	.hero-section[data-shortcut*="author_page"],
	.post-edit-link
	{
		background-color: #1c1c1c !important; /* Dark Black */
		color: #ffffff !important; /* White */
	}

	.entry-meta li a:hover,
	.meta-categories li a:hover,
	.meta-author:hover *,
	.entry-title,
    .site-title a:hover,
	.ct-footer-copyright a:hover,
	.related-entry-title a,
	.nav-item-next *,
	.nav-item-prev *,
    .post-edit-link a:hover,
	.ct-breadcrumbs *,
	.ct-search-item:hover *
	{
		color: #E95420 !important;  /* Orange */
		text-decoration: none;
	}

	.modal-field
	{
		border-color: #E95420 !important; /* Orange */
	}
}
